Debian Bug report logs - #504842
nodm: default X11 console should be vt7

version graph

Package: nodm; Maintainer for nodm is Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>; Source for nodm is src:nodm.

Reported by: Luca Capello <luca@pca.it>

Date: Fri, 7 Nov 2008 16:24:05 UTC

Severity: important

Found in version 0.1

Fixed in version nodm/0.5-1

Done: Enrico Zini <enrico@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Capello <luca@pca.it>, jidanni@jidanni.org, "ML Debian FreeSmartphone.Org Team" <pkg-fso-maint@lists.alioth.debian.org>, ML smartphones-userland <smartphones-userland@lists.linuxtogo.org>, unknown-package@qa.debian.org:
Bug#504842; Package nodm. (Fri, 07 Nov 2008 16:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
New Bug report received and forwarded. Copy sent to Luca Capello <luca@pca.it>, jidanni@jidanni.org, "ML Debian FreeSmartphone.Org Team" <pkg-fso-maint@lists.alioth.debian.org>, ML smartphones-userland <smartphones-userland@lists.linuxtogo.org>, unknown-package@qa.debian.org. (Fri, 07 Nov 2008 16:24:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nodm: default X11 console should be vt7
Date: Fri, 07 Nov 2008 17:21:14 +0100
[Message part 1 (text/plain, inline)]
Package: nodm
Version: 0.1
Severity: important

Hi there!

On Fri, 07 Nov 2008 03:12:16 +0100, Jidanni wrote:
> I installed xdm, but when I try to run it:
> xf86OpenConsole: Cannot open virtual console 7 (No such file or
> directory)

This is to be expected, since there is no vt7.  You can reproduce the
error with `xinit -- vt7` or `chvt 7`.  As Arne suggested [1], you
should use nodm ATM: the latter starts X11 on vt4, which is the last tty
available as character device.

This is a known problem and nodm should be adjusted to the default in
Debian, i.e. it should check for the first unused vt starting from the
seventh one [2].

Thus, this bug is both a reminder and a note for other people who
experiences the same problem.

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://lists.linuxtogo.org/pipermail/smartphones-userland/2008-November/000385.html
[2] http://lists.linuxtogo.org/pipermail/smartphones-userland/2008-November/000369.html

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: armel (armv4tl)

Kernel: Linux 2.6.24-20080903.git2ea34171 (PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages nodm depends on:
ii  x11-common                    1:7.3+18   X Window System (X.Org)
infrastruc
ii  xinit                         1.0.9-2    X server initialisation
tool

nodm recommends no packages.

nodm suggests no packages.

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#504842; Package nodm. (Sun, 05 Jul 2009 23:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Sun, 05 Jul 2009 23:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 504842@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: Luca Capello <luca@pca.it>, 504842@bugs.debian.org
Subject: Re: Bug#504842: nodm: default X11 console should be vt7
Date: Mon, 6 Jul 2009 01:00:11 +0200
[Message part 1 (text/plain, inline)]
On Fri, Nov 07, 2008 at 05:21:14PM +0100, Luca Capello wrote:

> This is a known problem and nodm should be adjusted to the default in
> Debian, i.e. it should check for the first unused vt starting from the
> seventh one [2].

I'll try and do it. If in the meantime you have pointers to some code to
check if a vt is unused, that'd be great, otherwise I'll try to dig it
out of gdm.


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#504842; Package nodm. (Mon, 06 Jul 2009 15:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Mon, 06 Jul 2009 15:48:08 GMT) Full text and rfc822 format available.

Message #15 received at 504842@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: Luca Capello <luca@pca.it>, 504842@bugs.debian.org
Subject: Re: Bug#504842: nodm: default X11 console should be vt7
Date: Mon, 6 Jul 2009 11:06:39 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jul 06, 2009 at 01:00:11AM +0200, Enrico Zini wrote:
> On Fri, Nov 07, 2008 at 05:21:14PM +0100, Luca Capello wrote:
> 
> > This is a known problem and nodm should be adjusted to the default in
> > Debian, i.e. it should check for the first unused vt starting from the
> > seventh one [2].
> 
> I'll try and do it. If in the meantime you have pointers to some code to
> check if a vt is unused, that'd be great, otherwise I'll try to dig it
> out of gdm.

The relevant gdm code seems to be in daemon/getvt.c, functions
get_free_vt_sys and get_free_vt_consio, wrapped by
gdm_get_empty_vt_argument. The difference between the two
implementations depends on the operating system:

	/* Virtual terminals only supported on Linux, FreeBSD, DragonFly, or
	 * Solaris */
	#if defined (__linux__) || defined (__sun)
	 /* Must check HAVE_SYS_VT since older Solaris doesn't support this. */
	#ifdef HAVE_SYS_VT_H
	#define GDM_USE_SYS_VT
	#endif
	#endif

	#if defined (__FreeBSD__) || defined (__DragonFly__)
	#define GDM_USE_CONSIO_VT
	#endif

They do some magic (the code has a number of #ifdefs to handle several
OS differences) and then return a vt number and a file descriptor open
to the vt. Then the server is started, and after the server has taken
the vt, the file descriptor is closed.

I could open the vt in the parent process then close it in the session
process; since the session process is called by xinit, to do so I need
to leave the fd open for the child process and pass its number to the
session process in an env var. That is doable.

It is still unclear to me what to do if none of the two methods of
allocating a vt are found.


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#504842; Package nodm. (Thu, 23 Jul 2009 14:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Thu, 23 Jul 2009 14:18:02 GMT) Full text and rfc822 format available.

Message #20 received at 504842@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: Luca Capello <luca@pca.it>, 504842@bugs.debian.org
Subject: Re: Bug#504842: nodm: default X11 console should be vt7
Date: Thu, 23 Jul 2009 16:18:02 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jul 06, 2009 at 11:06:39AM +0200, Enrico Zini wrote:

> The relevant gdm code seems to be in daemon/getvt.c, functions
> get_free_vt_sys and get_free_vt_consio, wrapped by
> gdm_get_empty_vt_argument. The difference between the two
> implementations depends on the operating system:
[...]

I will probably cross-reference that code with openvt from console-tools
and start with only one version of code. If other platforms need to be
supported for which the existing code won't be enough, we'll see about
it.

> I could open the vt in the parent process then close it in the session
> process; since the session process is called by xinit, to do so I need
> to leave the fd open for the child process and pass its number to the
> session process in an env var. That is doable.

This is actually not needed, I realised. I can just do the vt allocation
in the supervisor process, and keep the vt open until the supervisor
ends.


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Reply sent to Enrico Zini <enrico@debian.org>:
You have taken responsibility. (Fri, 24 Jul 2009 00:42:03 GMT) Full text and rfc822 format available.

Notification sent to Luca Capello <luca@pca.it>:
Bug acknowledged by developer. (Fri, 24 Jul 2009 00:42:03 GMT) Full text and rfc822 format available.

Message #25 received at 504842-close@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@debian.org>
To: 504842-close@bugs.debian.org
Subject: Bug#504842: fixed in nodm 0.5-1
Date: Fri, 24 Jul 2009 00:32:04 +0000
Source: nodm
Source-Version: 0.5-1

We believe that the bug you reported is fixed in the latest version of
nodm, which is due to be installed in the Debian FTP archive:

nodm_0.5-1.diff.gz
  to pool/main/n/nodm/nodm_0.5-1.diff.gz
nodm_0.5-1.dsc
  to pool/main/n/nodm/nodm_0.5-1.dsc
nodm_0.5-1_amd64.deb
  to pool/main/n/nodm/nodm_0.5-1_amd64.deb
nodm_0.5.orig.tar.gz
  to pool/main/n/nodm/nodm_0.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 504842@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Enrico Zini <enrico@debian.org> (supplier of updated nodm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 24 Jul 2009 01:52:32 +0200
Source: nodm
Binary: nodm
Architecture: source amd64
Version: 0.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>
Changed-By: Enrico Zini <enrico@debian.org>
Description: 
 nodm       - automatic display manager
Closes: 504842 531194
Changes: 
 nodm (0.5-1) unstable; urgency=low
 .
   * New upstream version
      - truncate ~/.xsession-errors on startup. Closes: #531194.
      - implemented dynamic VT allocation. Closes: #504842.
   * Removed conflicts with the other X display managers.
   * Updated standards-version, no changes required.
Checksums-Sha1: 
 12287ced9b29810db0fe62b4a1c2e4ac8d15141b 1815 nodm_0.5-1.dsc
 5fc69b4aff70b7fed0a038fe8202181710d41803 93212 nodm_0.5.orig.tar.gz
 38d1e6084dda3b746f9f2851ef7944f6d9f3de4a 15516 nodm_0.5-1.diff.gz
 db5f07ebe7373ac56241dbc4a70e07d9eac958e3 23436 nodm_0.5-1_amd64.deb
Checksums-Sha256: 
 4fe453e054eefc5afe269ddeda773082c700d3ae279fa531275e66a1a79bf42b 1815 nodm_0.5-1.dsc
 90c4753114efc50bdb22125fb44ec593c2eb79ed7b3e93a27da070cc589c422a 93212 nodm_0.5.orig.tar.gz
 1b3a1cce19e966126973e4d2e840b04094fc719909868bde2355c6e8426d6547 15516 nodm_0.5-1.diff.gz
 7d7305cd63b80001c2677427b32f1bf66ed6849a359c2ee711e42214aa70139f 23436 nodm_0.5-1_amd64.deb
Files: 
 6ebcb95203cf47800822ac1d727d5bde 1815 misc extra nodm_0.5-1.dsc
 72b302a302d290c651283d1b017e86bb 93212 misc extra nodm_0.5.orig.tar.gz
 d1b6f8f2df96ee794a1de76345adf225 15516 misc extra nodm_0.5-1.diff.gz
 5b153c27641ea0c7c179976fde730ae2 23436 misc extra nodm_0.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBCAAGBQJKaQDAAAoJEB5qw/OH8O2sGbcP/1XYXmqc062z4xtqF51cXzio
2qU4hj8tBc157+hGMk0ikEADZ8wlbirNA3buHxyZuCrAFCbmAJ0XVvBhM+ZBBr87
lfAblX4HjEaL7qoF/DFuD7tmQUNjcEWrn4li7Ij/VO1qWf8r0nuAhAgcvyYrUf0a
1N5TkQsGEAiWyicYQAPTR9zaDxg3z6TV/uUp3Q5TPngdXnxrARLs1+0Hy3jMUJOA
Yh0bg1pMDgR2b4rQELXMRk+qvBe12fbiy0UqrRGWJ8KcYLrjlO68SWg6m2wi29/I
kOtW2lqQ/VK6r2kh+V7DX9ExVB74tc2EP3VZUDShaxsfHKLUqcAs75tIBX5Qe5px
uG98nr85rfRXAckCDuTHz+KSf5///bgZLFpOvV0z23HAPLFfJW1sbBxt1BHHUgds
vqAJsksS6dM7+7PYu285l3P9Y0YDx+cb7C2elIx7cTefCfCA2lrnsDc8UXt+MG0C
9Qzh+N3PJ9QeoCrDSefTCQl9CVUiIZpHZTx8Gi/52MlfEO8sYOopUpmIfWzP+X2p
xsBSNJMBH3ELRkaXWZbLXr1SSrJOVjEUHeXCaMMQXkEsXt4tkGZurVbupxEJ2meB
jw5Ec2bRMs7irCXZD5UHV4l0b7pSHqdyHNO5MnWCGz9dMcSInZcZlvOXnDDYYDEs
/uOUqc2RPj1EmXfbI+r7
=wDK1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 31 Jan 2011 07:32:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:35:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.